# Uses of Interface
org.apache.lucene.misc.index.IndexRearranger.DocumentSelector

Packages that use IndexRearranger.DocumentSelector
Package
Description
org.apache.lucene.misc.index
Misc index tools and index support.

- ## Uses of IndexRearranger.DocumentSelector in org.apache.lucene.misc.index

  Classes in org.apache.lucene.misc.index that implement IndexRearranger.DocumentSelector
  Modifier and Type
  Class
  Description
  `class`
  `BinaryDocValueSelector`
  Use this selector to rearrange an index where documents can be uniquely identified based on `BinaryDocValues`
  Fields in org.apache.lucene.misc.index declared as IndexRearranger.DocumentSelector
  Modifier and Type
  Field
  Description
  `protected final IndexRearranger.DocumentSelector`
  IndexRearranger.`deletedDocsSelector`
  Fields in org.apache.lucene.misc.index with type parameters of type IndexRearranger.DocumentSelector
  Modifier and Type
  Field
  Description
  `protected final List<IndexRearranger.DocumentSelector>`
  IndexRearranger.`segmentSelectors`
  Methods in org.apache.lucene.misc.index that return IndexRearranger.DocumentSelector
  Modifier and Type
  Method
  Description
  `static IndexRearranger.DocumentSelector`
  BinaryDocValueSelector.`createDeleteSelectorFromIndex(String field, Directory directory)`
  Create a selector for the deletes in an index, which can then be applied to a rearranged index
  Methods in org.apache.lucene.misc.index that return types with arguments of type IndexRearranger.DocumentSelector
  Modifier and Type
  Method
  Description
  `static List<IndexRearranger.DocumentSelector>`
  BinaryDocValueSelector.`createLiveSelectorsFromIndex(String field, Directory directory)`
  Create a list of selectors that will reproduce the index geometry when used with `IndexRearranger`
  Constructors in org.apache.lucene.misc.index with parameters of type IndexRearranger.DocumentSelector
  Modifier
  Constructor
  Description
  ``
  `IndexRearranger(Directory input, Directory output, IndexWriterConfig config, List<IndexRearranger.DocumentSelector> segmentSelectors, IndexRearranger.DocumentSelector deletedDocsSelector)`
  All args constructor
  Constructor parameters in org.apache.lucene.misc.index with type arguments of type IndexRearranger.DocumentSelector
  Modifier
  Constructor
  Description
  ``
  `IndexRearranger(Directory input, Directory output, IndexWriterConfig config, List<IndexRearranger.DocumentSelector> segmentSelectors)`
  Constructor with no deletes to apply
  ``
  `IndexRearranger(Directory input, Directory output, IndexWriterConfig config, List<IndexRearranger.DocumentSelector> segmentSelectors, IndexRearranger.DocumentSelector deletedDocsSelector)`
  All args constructor